#include <bits/stdc++.h>
using namespace std;
int main()
{
	short int i=0,ad,bd,cd;
	char ch,A[20],B[20],C[20];
	while (true) {
		ch = getchar();
		if (ch < '0' || ch > '9') break;
		A[i]=ch;
		i++;
	}
	ad=i;
	i=0;
	while (true) {
		ch = getchar();
		if (ch < '0' || ch > '9') break;
		B[i]=ch;
		i++;
	}
	bd=i;
	i=0;
	while (true) {
		ch = getchar();
		if (ch < '0' || ch > '9') break;
		C[i]=ch;
		i++;
	}
	cd=i;
	if (strcmp(A,B)>0)
	{
		if (strcmp(C,A)>0)
		{
			for (i=0;i<cd;i++)
			{
				printf("%c",C[i]);
			}
			for (i=0;i<ad;i++)
			{
				printf("%c",A[i]);
			}
			for (i=0;i<bd;i++)
			{
				printf("%c",B[i]);
			}
			//printf(C,A,B);
		}
		else 
		{
			if (strcmp(C,B)>0)
			{
				for (i=0;i<ad;i++)
			{
				printf("%c",A[i]);
			}
			for (i=0;i<cd;i++)
			{
				printf("%c",C[i]);
			}
			for (i=0;i<bd;i++)
			{
				printf("%c",B[i]);
			}
				//printf(A,C,B);
			}
			else
			{
					for (i=0;i<ad;i++)
			{
				printf("%c",A[i]);
			}
			for (i=0;i<bd;i++)
			{
				printf("%c",B[i]);
			}
			for (i=0;i<cd;i++)
			{
				printf("%c",C[i]);
			}
				//printf(A,B,C);
			}
		}
	}
	else
	{
		if (strcmp(C,B)>0)
		{
					for (i=0;i<ad;i++)
			{
				printf("%c",A[i]);
			}
			for (i=0;i<bd;i++)
			{
				printf("%c",B[i]);
			}
			for (i=0;i<cd;i++)
			{
				printf("%c",C[i]);
			}
			//printf(A,B,C);
		}
		else
		{
			if (strcmp(A,C)>0)
			{
				for (i=0;i<bd;i++)
			{
				printf("%c",B[i]);
			}
					for (i=0;i<ad;i++)
			{
				printf("%c",A[i]);
			}
			for (i=0;i<cd;i++)
			{
				printf("%c",C[i]);
			}
				//printf(B,A,C);
			}
			else 
			{
					for (i=0;i<bd;i++)
			{
				printf("%c",B[i]);
			}
			for (i=0;i<cd;i++)
			{
				printf("%c",C[i]);
			}
					for (i=0;i<ad;i++)
			{
				printf("%c",A[i]);
			}
				//printf(B,C,A);
			}
		}
	}
	return 0;
}